| Home | Libraries | People | FAQ | More

##### url_base::has_scheme

(Inherited from `url_view_base`)

Return true a scheme is present.

###### Synopsis

    bool
    has_scheme() const;

###### Description

This function returns true if this contains a scheme.

###### Example

    assert( url_view( "http://www.example.com" ).has_scheme() );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    URI             = scheme ":" hier-part [ "?" query ] [ "#" fragment ]

    absolute-URI    = scheme ":" hier-part [ "?" query ]

    scheme          = ALPHA *( ALPHA / DIGIT / "+" / "-" / "." )

###### Specification

- 3.1. Scheme (rfc3986)

###### See Also

`scheme`, `scheme_id`.